import request from '@/utils/request.js'

// 年级 jcxx_grade 列表接口
export const grade_list = () =>
	request({
		url: '/jcxx/grade/index',
		data: {
			limit: 99
		}
	})

// 学科 jcxx_subject 列表接口
export const team_list = () =>
	request({
		url: '/jcxx/team/index',
		data: {
			limit: 99
		}
	})

// 直播课程列表（筛选）
export const zbkt_list = (data = {}) => {
	return request({
		url: '/kzkt/zbkc/index',
		data,
	})
}
// /直播课程推荐列表
export const zbkt_recommend = (data = {}) => {
	return request({
		url: '/kzkt/zbkc/list_tuijian',
		data,
	})
}

// 直播课程详情
export const zbkt_detail = (data = {}) => {
	return request({
		url: '/kzkt/zbkc/detail',
		data,
	})
}
// 直播大纲详情
export const zbkt_dg = (data = {}) => {
	return request({
		url: '/kzkt/zbkc_kcdg/detail',
		data,
	})
}

// 直播创建评价
export const zbkt_pj = (data = {}) => {
	return request({
		url: '/comment/question/add',
		data: {
			comment_question: data.comment_question
		}
	})
}
// 直播评价列表
export const zbkt_pjList = (data = {}) => {
	return request({
		url: '/comment/question/index',
		data,
	})
}

// 直播课程添加
export const zbkc_add = (data = {}) => {
	return request({
		url: '/kzkt/zbkc/add',
		data: {
			kzkt_zbkc: data.kzkt_zbkc
		}
	})
}

// 直播大纲添加
export const zbdg_add = (data = {}) => {
	return request({
		url: '/kzkt/zbkc_kcdg/add',
		data: {
			kz_id: data.kz_id,
			kzkt_zbkc_kcdg: data.kzkt_zbkc_kcdg,
		}
	})
}

// 直播下达作业
// export const zbkt_job = (data={}) =>{
//     return request({
//         url:'/kczy/evaluate/add',
//         data,
//     })
// }

// 关注接口
export const attention = (data = {}) => {
	return request({
		url: "/user/watch/add",
		data,
  });
}

// 取消关注
export const delAttention = (data = {}) => {
	return request({
		url: "/user/watch/delete",
		data,
  });
}

